## cx3110x-module-src 0.9.34.1-2

=== Makefile ===
.PHONY: default modules clean

default:
	@echo ""
	@echo " Supported make targets: modules clean"
	@echo ""


modules:
	$(MAKE) -C src/ modules CONFIG_CX3110X_PROD=m
	rm -f src/Modules.symvers
	$(MAKE) -C src/ modules CONFIG_CX3110X_STA=m

modules_install:
	$(MAKE) -C src/ modules_install


clean:
	rm -f *~
	$(MAKE) -C src/ clean

=== src/Makefile ===
ifeq ($(KERNELRELEASE),)
STRIP = $(CROSS_COMPILE)strip
PWD := $(shell pwd)

.PHONY: modules clean

modules_install:
	$(MAKE) -C $(KERNEL_SRC_DIR) SUBDIRS=$(PWD) $@

modules:
	$(MAKE) -C $(KERNEL_SRC_DIR) SUBDIRS=$(PWD) $@
	$(STRIP) -g *.ko

clean:
	rm -Rf *.o *.ko *~ core* .dep* .*.d .*.cmd *.mod.c *.a *.s .*.flags .tmp_* *.symvers

else

include $(PWD)/Makefile.k26

endif # ifeq ($(KERNELRELEASE),)

=== debian/changelog ===
cx3110x-module-src (0.9.34.1-2) unstable; urgency=low

  * Fixed branching 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 30 Apr 2007 13:24:59 +0300

cx3110x-module-src (0.9.34.1-1) unstable; urgency=low

  * Version branching for osso1.0

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 27 Apr 2007 18:10:13 +0300

cx3110x-module-src (0.9.34-2) unstable; urgency=low

  * week200717-1 release 
  * Remove UMAC

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 27 Apr 2007 16:43:47 +0300

cx3110x-module-src (0.9.34-1) unstable; urgency=low

  * week200715-1 release
  * Use correct work struct in sm_drv_update_stats()
  * Length of SSID in SIOCSIWESSID does not include NULL anymore

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 10 Apr 2007 20:48:27 +0300

cx3110x-module-src (0.9.33-1) unstable; urgency=low

  * week200714-1 release
  * Fix build with the new kernel

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  3 Apr 2007 16:56:06 +0300

cx3110x-module-src (0.9.32-1) unstable; urgency=low

  * week200713-1 release
  * Update UMAC to 2.12.0.0.a.9.14-1

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 27 Mar 2007 15:13:25 +0300

cx3110x-module-src (0.9.31-1) unstable; urgency=low

  * week200707-1 release
  * Implement U-APSD setting for user space
  * Fix test in sm_drv_set_ps()
  * Copy sk_buff.priority to s_sm_frame.priority

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 13 Feb 2007 15:33:45 +0200

cx3110x-module-src (0.9.30-1) unstable; urgency=low

  * week200705-1 release
  * Set DOT11_OID_BSSITERATE always after BSS iteration
  * Add 30 ms delay before active scanning

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 31 Jan 2007 14:36:33 +0200

cx3110x-module-src (0.9.29-1) unstable; urgency=low

  * week200701-1 release
  * Update umac to 2.12.0.0.a.9.10-2
  * Make it easier to change PSM settings
  * Discard zero length bytes from the WLAN chip
  * Take sm_lock before calling prism_softmac_create()
  * Take sm_lock before shutting down UMAC
  * Update UMAC to 2.12.0.0.a.9.12-1
  * Ratelimit the TX dropped message

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  3 Jan 2007 16:10:39 +0200

cx3110x-module-src (0.9.28-1) unstable; urgency=low

  * week200649-2 release
  * Revert "Use usec converters provided by jiffies.h" 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  7 Dec 2006 14:51:33 +0200

cx3110x-module-src (0.9.27-1) unstable; urgency=low

  * week200648-1 release
  * Refactored sm_drv_spi_wq()
  * Only return from one place in sm_drv_spi_wq()
  * Do not disable host interrupts
  * Wakeup target before fething the frame
  * Add BH debug messages
  * Add DBG_TIMER messages
  * Use usec converters provided by jiffies.h
  * Update UMAC to 2.12.0.0.a.9.10-1
 
 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 29 Nov 2006 17:25:05 +0200

cx3110x-module-src (0.9.26-1) unstable; urgency=low

  * week200645-2 release
  * Remove references to word "RX34" and change that with product name

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  9 Nov 2006 12:11:55 +0200

cx3110x-module-src (0.9.25-1) unstable; urgency=low

  * week200643-1 release
  * umac update
  * Reset chip in workqueue after scan timer has expired
  * Adding PDR1907 support

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 25 Oct 2006 16:02:43 +0300

cx3110x-module-src (0.9.24-1) unstable; urgency=low

  * week200641-2 release
  * words cleanup

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 13 Oct 2006 14:21:40 +0300

cx3110x-module-src (0.9.23-1) unstable; urgency=low

  * week200641-1 release
  * Ack Ready and WriteReady LMAC interrupts

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 11 Oct 2006 16:51:33 +0300

cx3110x-module-src (0.9.22-1) unstable; urgency=low

  * week200640-1 release
  * Make cx3110x CROSS_COMPILE option to work properly
  * Fix memory leaks found by kmemleak

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  4 Oct 2006 16:58:49 +0300

cx3110x-module-src (0.9.21-1) unstable; urgency=low

  * week200639-3 release
  * Enable suspend/resume functionality 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 29 Sep 2006 18:12:10 +0300

cx3110x-module-src (0.9.20-1) unstable; urgency=low

  * week200639-1 release
  * Take sm_lock always when calling SoftMAC
  * Add DEVSTATE_DEAD
  * Patched UMAC 2.12.0.0.a.9.10
  * sm_lock fixes to rx-34
  * Updated UMAC to 2.12.0.0.a.9.10
  * With dyntick and PM, we need a slightly bigger delay when resetting the target.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 27 Sep 2006 15:50:31 +0300

cx3110x-module-src (0.9.19-1) unstable; urgency=low

  * week200635-2 release
  * We must set the IRQ type after requesting the IRQ itself.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 31 Aug 2006 15:00:14 +0300

cx3110x-module-src (0.9.18-1) unstable; urgency=low

  * week200634-1 release
  * We can only include linux/irq.h with very recent kernels, e.g linux-g.
  * Compilation failed because of the new IRQ framework.
  * Support both OMaP_DMA_TOUT_IRQ and OMAP1_DMA_TOUT_IRQ

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 23 Aug 2006 18:22:15 +0300

cx3110x-module-src (0.9.17-1) unstable; urgency=low

  * week200630-1 release
  * Change the SPI_MODE setting to the proper one for linux-g
  * Whenever we are in IBSS mode, we use long preamble.
    This is the only way to work with all the broken WiFI test bed cards.
    Fixes: NB#34964
  * New UMAC release.
    Fixes: NB#29817, NB#31489, NB#34003
  * We don't toggle background scanning when in IBSS mode.
    Fixes: NB#33581, NB#33894

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 31 Jul 2006 11:48:39 +0300

cx3110x-module-src (0.9.16-1) unstable; urgency=low

  * week200626-1 release
  * WLAN DMA support
  * Adding a longer (2 seconds) delay for READY and DMA READY timeout

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 28 Jun 2006 17:02:33 +0300



=== debian/control ===
Source: cx3110x-module-src
Section: devel
Priority: optional
Maintainer: Ed Bartosh <eduard.bartosh@nokia.com>
Build-Depends: debhelper (>=3.0)
Standards-Version: 3.6.2.1

Package: cx3110x-module-src
Architecture: all
Description: CX3110x driver module source
 This package provides the source code for the CX3110x kernel module.

Package: cx3110x-headers
Architecture: all
Description: CX3110x driver-related headers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

NAME = cx3110x
VERSION = $(shell head -1 $(CURDIR)/debian/changelog | sed "s/$(NAME)-module-src (\([0-9.]\+\)-.*) .*/\1/")

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#find ./ -name .git -type d |xargs rm -rf
	make clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/nolo-<version>
	install -p -d -o root -g root -m 755 debian/$(NAME)-module-src/usr/src/modules/$(NAME)/
	cp -a src/ debian/$(NAME)-module-src/usr/src/modules/$(NAME)/
	cp -a Makefile debian/$(NAME)-module-src/usr/src/modules/$(NAME)/
	install -o root -g root -m 644  src/sm_drv_wpa.h debian/$(NAME)-headers/usr/src/$(NAME)-headers/include/linux/
	cd debian/$(NAME)-module-src/usr/src/modules/ && \
	tar --bzip2 -cf $(NAME)-$(VERSION).tar.bz2 $(NAME) &&\
	rm -rf $(NAME)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## cx3110x-module-src 2.0.15-1

=== debian/changelog ===
cx3110x-module-src (2.0.15-1) unstable; urgency=low

  * week200745-1 release. Fixes: NB#73246
  * Add msleep(1) to sm_drv_spi_wakeup()
  * cx3110x version 2.0.15

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  6 Nov 2007 16:41:47 +0200

cx3110x-module-src (2.0.14-2) unstable; urgency=low

  * week200739-1 release
  * Decrease sleep in MTUM initilisation. Fixes: NB#69455 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 25 Sep 2007 19:03:15 +0300

cx3110x-module-src (2.0.14-1) unstable; urgency=low

  * week200737-1 release
  * Put the device in to sleep if there's an error either with RX or TX
  * cx3110x version 2.0.13
  * Change background scan interval to 60 seconds
  * Remove wpa_scan and gen_ie from WE private interface
  * Add SM_DRV_PRIV_SET_DMA_THRES and SM_DRV_PRIV_GET_DMA_THRES
  * Add set_scanint and get_scanint WE privs
  * Add set_scanthres and set_scanthres WE privs
  * Move scan WE priv defines to sm_drv_wpa.h
  * cx3110x version 2.0.14

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 11 Sep 2007 17:45:34 +0300

cx3110x-module-src (2.0.12-1) unstable; urgency=low

  * week200736-1 release
  * Handle interrupts in a loop
  * cx3110x version 2.0.12

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 04 Sep 2007 19:32:08 +0300

cx3110x-module-src (2.0.10-1) unstable; urgency=low

  * week200734-1 release
  * Use default TX and RX lifetimes
  * cx3110x version 2.0.10

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 22 Aug 2007 17:07:24 +0300

cx3110x-module-src (2.0.9-1) unstable; urgency=low

  * week200732-2 release
  * Fix DMA threshold logic with value zero
  * Add a timeout for firmware boot
  * Change wording in a warning
  * cx3110x version 2.0.9

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 10 Aug 2007 15:38:44 +0300

cx3110x-module-src (2.0.8-1) unstable; urgency=low

  * week200730-1 release
  * Move MAX_PROBE_LENGTH to sm_drv.h
  * Increate MAX_PROBE_LENGTH to 512 bytes. Fixes: NB#61305
  * Check kmalloc result in sm_drv_get_range()
  * cx3110x version 2.0.8 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 24 Jul 2007 21:49:11 +0300

cx3110x-module-src (2.0.7-1) unstable; urgency=low

  * week200724-1 release. Fixes: NB#53794
  * cx3110x version 2.0.7
  * Run update_stats() in process context
  * Create cx3110x thread for workqueue
  * Use cx3110x_mt prefix in cx3110x_mt module
  * Show beacond interval and DTIM of the AP associated to
  * Use default TX and RX lifetimes
  * Count initial_packets correctly
  * Revert "Use default TX and RX lifetimes"

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 13 Jun 2007 15:28:01 +0300

cx3110x-module-src (2.0.4-1) unstable; urgency=low

  * week200723-2 release. Fixes: NB#56521
  * Remove duplicate dev_attr_psm sysfs file creation
  * Fix locking in sm_drv_get_wireless_stats() when softmac is not initialized
  * cx3110x version 2.0.4

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  6 Jun 2007 14:19:56 +0300

cx3110x-module-src (2.0.2-1) unstable; urgency=low

  * week200723-1 release. Fixes: NB#51967
  * cx3110x_[error,warning,info,debug] macros
  * Change all printks to cx3110x_ macros
  * Replace DBG_ALL logs with cx3110x_ macros
  * Return EAGAIN if scanning is still running
  * Show SSID when not associated
  * Check sysfs file creation errors
  * Enable -Werror
  * Refactor handle_sm_trap()
  * Ignore DOT11_OID_PREAUTH traps
  * Correct debug messages in handle_sm_trap()
  * Remove SPI_DELAY_THRESHOLD workaround
  * Remove host interface (hif) cruft
  * Refactor handle_sm_callback()
  * Set dev->last_rx
  * Check kmalloc() result in mask_trap()
  * Update license text based on lates template from Legal
  * Change contact person to Kalle Valo
  * Remove WLAN_POWER_UP() and _DOWN() macros
  * Remove check for old MODVERSIONS macro
  * Change lines to wrap at 80
  * Remove unused defines
  * Add CX3110X_DMA_THRESHOLD
  * Refactor link_changed()
  * Add associated and disassociated log messages
  * Clean up DEAUTHENTICATE trap message
  * Change TX failed message to DBG_IC level
  * cx3110x version 2.0.0
  * Change DMA threshold to dynamic
  * Clean up essid length handling in sm_drv_set_scan()
  * Fix SSID length in scan results
  * Rename net_local.sm_lock to netlock.lock
  * Take lock whenever accessing net_local
  * Print libumac and lmac versions
  * cx3110x version 2.0.1
  * Revert "Remove SPI_DELAY_THRESHOLD workaround"
  * cx3110x version 2.0.2

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  5 Jun 2007 16:55:34 +0300

cx3110x-module-src (0.9.35-3) unstable; urgency=low

  * week200719-4 release
  * CX3110X: Properly set net_device's parent device
  * Set ladder workaround for MTUM

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 11 May 2007 15:30:23 +0300

cx3110x-module-src (0.9.35-2) unstable; urgency=low

  * Fixed changelog. 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 17 Apr 2007 18:16:04 +0300

cx3110x-module-src (0.9.35-1) unstable; urgency=low

  * Remove UMAC
  * Fix configuration of the SPI bus speed. Fixes: NB#53992

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 16 Apr 2007 18:17:35 +0300
